#
# spec file for package scim-input-pad
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           scim-input-pad
Version:        0.1.3.20130804
Release:        310.31
Summary:        An onscreen input pad to easily input symbols
License:        GPL-2.0+
Group:          System/I18n/Chinese
Url:            https://github.com/scim-im/scim-input-pad
Source:         %{name}-%{version}.tar.gz
Patch:          scim-input-pad-missing-fclose.diff
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  scim-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?sles_version}
BuildRequires:  gtk2-devel
%else
BuildRequires:  gtk3-devel
%endif

%description
An onscreen input pad to easily input symbols

%prep
%setup -q
%patch -p1
./bootstrap

%build
CXXFLAGS="%{optflags}" \
%configure --with-pic \
	   --disable-static \
	   --enable-debug \
	   --disable-rpath \
%if 0%{?sles_version}
	   --with-gtk-version=2
%endif

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -name "*.la" -delete -print

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING README ChangeLog
%{_bindir}/scim-input-pad
%{_libdir}/libscim-input-pad.so
%{_libdir}/libscim-input-pad.so.0
%{_libdir}/libscim-input-pad.so.0.1.0
%{_scim_helperdir}/input-pad.so
%{_scim_icondir}/input-pad.png

%changelog
* Thu Sep 17 2015 i@marguerite.su
- use macros from macros.scim
* Sat Aug  3 2013 i@marguerite.su
- update version 0.1.3.1
  * This release repaired the bootstrap and the compile with makefile.am.
  * The last release had problems with it, I think that it works now.
  * The last release added more then 40 tables to the input-pad.
- based on that, add gtk3 build fix from github
* Tue Jun 12 2012 tiwai@suse.de
- remove locale provides for avoiding automatic installation
* Thu Jun  7 2012 swyear@gmail.com
- remove "Provides: locale(scim:zh)" from spec
* Mon Feb 22 2010 coolo@novell.com
- remove autoreconf for newer distributions
* Fri Nov  6 2009 tiwai@suse.de
- fix missing fclose() (bnc#544707)
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-* errors
* Sat Oct 28 2006 meissner@suse.de
- use optflags
* Thu Oct 12 2006 mfabian@suse.de
- fix to build with scim 1.4.5.
- remove .{a,la} files
* Tue Feb 28 2006 mfabian@suse.de
- Bugzilla #153791: use ';' in Provides locale(...).
* Thu Feb 23 2006 mfabian@suse.de
- add "Provides: locale(scim:ja,ko,zh)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 zsu@suse.de
- update to 0.1.1
* Thu Aug  4 2005 mfabian@suse.de
- Bugzilla #97962: add configure option "--enable-debug" to
  the .spec file.
* Thu Jun  2 2005 mfabian@suse.de
- add radicals for Japanese.
* Wed Apr 13 2005 mfabian@suse.de
- new package: scim-input-pad, version 0.1.0.
